Summary:	DMX extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia DMX
Name:		xorg-lib-libdmx
Version:	1.1.3
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libdmx-%{version}.tar.bz2
# Source0-md5:	ba983eba5a9f05d152a0725b8e863151
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-dmxproto-devel >= 2.2.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DMX (Distributed Multihead X) extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia DMX (Distributed Multihead X).

%package devel
Summary:	Header files for libdmx library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdmx
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-dmxproto-devel >= 2.2.99.1

%description devel
DMX (Distributed Multihead X) extension library.

This package contains the header files needed to develop programs that
use libdmx.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia DMX (Distributed Multihead X).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libdmx.

%package static
Summary:	Static libdmx library
Summary(pl.UTF-8):	Biblioteka statyczna libdmx
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
DMX (Distributed Multihead X) extension library.

This package contains the static libdmx library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia DMX (Distributed Multihead X).

Pakiet zawiera statyczną bibliotekę libdmx.

%prep
%setup -q -n libdmx-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdmx.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libdmx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdmx.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdmx.so
%{_includedir}/X11/extensions/dmxext.h
%{_pkgconfigdir}/dmx.pc
%{_mandir}/man3/DMX*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libdmx.a
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libdmx.git;a=log;h=master

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e3419b
- rel 2; build fix

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c6a0361
- up to 1.1.3; fixes CVE-2013-1992

* Fri Mar 09 2012 Jakub Bogusz <qboosh@pld-linux.org> ccb040e
- updated to 1.1.2

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 5302d6b
- removed unused *.la files

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 61fa9ad
- dropped pre-cvs changelog

* Fri Oct 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 46bebb5
- updated to 1.1.1

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> bacd2b1
- rebuild
- rel 2

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> 4b223b6
- updated util-macros version and -devel deps
- more verbose files and descs, added README to doc

* Mon Oct 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a99a519
- up to 1.1.0

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 047f149
- up to 1.0.99.1

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 30aebd7
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1195b43
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> af23810
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f2e3c41
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2322457
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 03b6da1
- rebuild

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 716d7cd
- release 1

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 29b854b
- up to 1.0.2

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 86b634d
- 1.0.1 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 20ed37c
- 1.0.0 (X11R7.0-RC4)

